> ## Documentation Index
> Fetch the complete documentation index at: https://ailabtools.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Change Facial Expressions Advanced

> Change Facial Expressions Advanced API applies 100+ realistic expression styles to portraits while preserving facial identity and quality.



## OpenAPI

````yaml /docs/openapi.json post /api/portrait/effects/emotion-editor-advanced
openapi: 3.0.0
info:
  title: AILabAPI
  description: >-
    [<b>AILabTools</b>](https://www.ailabtools.com) is an advanced tool that
    offers a vast array of simple and flexible API endpoints to suit your
    specific needs. With just one [<b>API
    KEY</b>](https://www.ailabtools.com/doc/get-api-key), you can easily call
    any of the endpoints and integrate them quickly into your application or
    workflow, allowing for smooth and efficient operations. 
     
    [<b>AILabTools</b>](https://www.ailabtools.com) is continuously evolving,
    and you can anticipate even more API endpoints being added in the future,
    further enhancing its capabilities and usefulness for your artificial
    intelligence and machine learning requirements.
  version: 1.0.0
servers:
  - url: https://www.ailabapi.com
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: AI IMAGE
  - name: AI IMAGE > Image Enhancement
  - name: AI IMAGE > Image Effects
  - name: AI IMAGE > Image Editing
  - name: AI IMAGE > Image Scoring
  - name: AI BACKGROUND REMOVAL
  - name: AI BACKGROUND REMOVAL > Portrait
  - name: AI BACKGROUND REMOVAL > General
  - name: AI PORTRAIT
  - name: AI PORTRAIT > Portrait Effects
  - name: AI PORTRAIT > Portrait Enhance
  - name: AI PORTRAIT > Portrait Editing
  - name: AI PORTRAIT > Portrait Analysis
  - name: AI COMMON
paths:
  /api/portrait/effects/emotion-editor-advanced:
    post:
      tags:
        - AI PORTRAIT > Portrait Effects
      summary: Change Facial Expressions Advanced
      description: >-
        Change Facial Expressions Advanced API applies 100+ realistic expression
        styles to portraits while preserving facial identity and quality.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - image
                - expression
              properties:
                image:
                  format: binary
                  type: string
                  description: |-
                    - Image format: `JPEG` `JPG` `PNG` `WEBP` 
                    - Image size: No more than 10 MB. 
                    - Image resolution: Less than 4096x4096px.
                expression:
                  type: string
                  description: >-
                    Expression. See [Supported expression
                    values](/docs/ai-portrait/effects/emotion-editor-advanced/api#expression).
                  enum:
                    - natural_smile
                    - bright_laugh
                    - sweet_smile
                    - happy_surprise
                    - proud_smirk
                    - laughing_with_tears
                    - crazy_happy_face
                    - overjoyed_screaming_laugh
                    - slight_annoyance
                    - angry_stare
                    - gritted_teeth_anger
                    - furious_shout
                    - cold_glare
                    - cartoon_rage_face
                    - angry_puffed_cheeks
                    - villain_angry_smirk
                    - downcast_sadness
                    - wronged_near_tears
                    - tearful_sadness
                    - heartbroken_breakdown
                    - silent_grief
                    - big_crying_face
                    - puppy_eyes_sad
                    - fake_crying_funny
                    - tongue_out_playful
                    - wink_cute
                    - silly_face
                    - mischievous_smirk
                    - exaggerated_surprised_face
                    - cross_eyed_silly_face
                    - one_eye_squint_funny
                    - duck_face_funny
                    - crazy_tongue_face
                    - slight_surprise
                    - shocked_open_mouth
                    - disbelief
                    - fearful_surprise
                    - jaw_drop_surprise
                    - cartoon_shocked_face
                    - speechless_shock
                    - nervous_fear
                    - terrified_expression
                    - timid_withdrawal
                    - panic_breakdown
                    - screaming_fear_face
                    - frozen_in_fear
                    - panic_wide_eyes
                    - mild_dislike
                    - strong_aversion
                    - nauseated_disgust
                    - eye_roll_disgust
                    - extreme_disgust_face
                    - grossed_out_face
                    - dramatic_eye_roll
                    - shy_smile
                    - blushing_shyness
                    - awkward_forced_smile
                    - socially_embarrassed
                    - over_shy_blushing_face
                    - awkward_sweat_smile
                    - embarrassed_cover_mouth
                    - confident_smile
                    - dominant_gaze
                    - cold_cool_expression
                    - victorious_pride
                    - super_confident_smirk
                    - bossy_cool_face
                    - winning_smug_face
                    - slight_confusion
                    - frowning_thought
                    - not_understanding
                    - suspicious_look
                    - confused_tilted_face
                    - what_are_you_doing_face
                    - brain_loading_face
                    - tired_blank_eyes
                    - helpless_expression
                    - awkward_silence
                    - sleepy_yawn
                    - dead_inside_face
                    - exhausted_melting_face
                    - speechless_blank_stare
                    - charming_smile
                    - flirty_eyebrow_raise
                    - soft_lip_bite
                    - dreamy_gaze
                    - playful_seductive_smirk
                    - wink_flirty_face
                    - dramatic_lip_bite
                    - gentle_gaze
                    - fond_smile
                    - sweet_pouting_affection
                    - deep_affectionate_gaze
                    - heart_eyes_expression
                    - overly_sweet_affection
                    - clingy_cute_pout
                    - cold_contempt
                    - sarcastic_sneer
                    - dismissive_pout
                    - in_control_expression
                    - extreme_smug_face
                    - mocking_laugh_face
                    - looking_down_contempt
                    - soft_cute_smile
                    - cute_pout
                    - innocent_big_eyes
                    - expectant_sparkling_eyes
                    - super_cute_pouting_face
                    - sparkling_eyes_cute
                    - baby_like_innocent_face
                    - frowning_in_pain
                    - holding_back_tears
                    - crying_breakdown
                    - repressed_exhaustion
                    - dramatic_pain_face
                    - holding_back_scream
                    - overwhelmed_breakdown_face
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PublicResponseFields'
                  - type: object
                    properties:
                      task_id:
                        $ref: '#/components/schemas/AsyncTaskId'
              example:
                request_id: ''
                log_id: ''
                error_detail:
                  code: ''
                  code_message: ''
                  message: ''
                task_id: ''
          description: Success
components:
  schemas:
    PublicResponseFields:
      type: object
      required:
        - request_id
        - log_id
        - error_detail
      properties:
        request_id:
          type: string
          description: Request ID for debugging.
        log_id:
          type: string
          description: Log ID for debugging.
        error_detail:
          $ref: '#/components/schemas/ErrorDetail'
    AsyncTaskId:
      type: string
      description: >-
        Task ID for querying [Querying Async Task
        Results](/docs/ai-common/async-task-results/api).
    ErrorDetail:
      type: object
      required:
        - code
        - code_message
        - message
      properties:
        code:
          type: string
          description: >-
            Error Code. See [Error
            Codes](/docs/response-description#error-codes).
        code_message:
          type: string
          description: Error summary.
        message:
          type: string
          description: Detailed error message.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: ailabapi-api-key
      description: API Key for authentication

````